Index: trunk/expressoAdmin1_2/js/jscode/assing_calendar.js
===================================================================
--- trunk/expressoAdmin1_2/js/jscode/assing_calendar.js	(revision 5804)
+++ trunk/expressoAdmin1_2/js/jscode/assing_calendar.js	(revision 5804)
@@ -0,0 +1,346 @@
+function assing_calendar_user(path){
+        
+        path = !!path ? path : 'templates/default/';
+    	var html = DataLayer.render(path+'assing_calendar.ejs', {});	
+	
+	//Variaval global para manipulação dos usuários
+	//melhor perforface
+	currentUsers = {};
+	currentUsers[User.me.id] = true;
+        
+        searchType = 'calendar';
+	
+	if (!UI.dialogs.assingCalendar) {
+			UI.dialogs.assingCalendar = jQuery('#assingCalendar').append('<div title="Compatilhamento de Agenda" class="assing-calendar active"> <div>').find('.assing-calendar.active').html(html).dialog({
+				resizable: false, 
+				modal:true, 
+				autoOpen: false,
+				width:620, 
+				position: 'center', 
+				close: function(event, ui) {
+					//Implementações de cancelar
+					currentUsers = {};
+				}
+			});
+		} else {
+			UI.dialogs.assingCalendar.html(html);
+		}		
+		
+		UI.dialogs.assingCalendar.find('.button').button()
+		.filter('.cancel').click(function(evt){
+			UI.dialogs.assingCalendar.dialog("close");
+		}).end()
+		.filter('.save').click(function(evt){
+			//TODO - API ainda não suporta
+			//UI.dialogs.assingCalendar.find('form').submit();
+                        var calendarSelected = UI.dialogs.assingCalendar.find('dd.calendar input[name="calendarId"]').val();
+			var save = function(){
+				if($('li.not-user').length == 0)
+				$.each(UI.dialogs.assingCalendar.find('.user-list li.new'), function( i , element ){
+					var user = $(element).find('input[name="user[]"]').val();
+					var acl = $(element).find('input[name="attendeeAcl[]"]').val()+'p';
+					if(acl == "")
+                                            return true;
+					
+                                        DataLayer.put('calendarToPermission', {calendar: calendarSelected, type: 0, user: user, acl: acl});
+
+                                        DataLayer.put('calendarSignature', 
+                                        {
+                                            calendar: calendarSelected, 
+                                            isOwner: 0, 
+                                            user: user, 
+                                            fontColor: '120d0d', 
+                                            backgroundColor: 'e36d76', 
+                                            borderColor: 'd5130b' 
+                                        });
+				});
+                                
+                                $.each(UI.dialogs.assingCalendar.find('.user-list li.current'), function( i , element ){
+                                    
+                                    var user = $(element).find('input[name="user[]"]').val();
+                                    var acl = $(element).find('input[name="attendeeAcl[]"]').val()+'p';
+                                    var id = $(element).find('input[name="permission[]"]').val();
+                                    if(acl == "")
+                                        DataLayer.remove('calendarToPermission', id);
+					
+                                    DataLayer.put('calendarToPermission', {id: id, calendar: calendarSelected, type: 0, user: user, acl: acl});
+                                    
+                                });
+				
+                                DataLayer.commit(false, false, function(data){
+					UI.dialogs.assingCalendar.dialog("close");
+				});
+			};
+
+			if(!!UI.dialogs.assingCalendar.find('.user-list li input[name="attendeeAcl[]"][value=""]').length){
+				$.Zebra_Dialog('Alguns usuários estão sem permissões e serão automáticamente removidos, deseja continuar ?', {
+					'type':     'question',
+					'overlay_opacity': '0.5',
+					'buttons':  ['Continuar', 'Cancelar'],
+					'onClose':  function(clicked) {
+						if(clicked == 'Continuar') {
+							save();
+						}
+					}
+				});
+			}else
+				save();		
+		});
+		
+		UI.dialogs.assingCalendar.find('.add-user-search .ui-icon-search').click(function(event) {
+			UI.dialogs.assingCalendar.find('.add-user-search input').keydown();
+		});
+		
+		var incompatibleAcl = function (obj, acls, buttons){
+			for (var i = 0; i < acls.length; i++){
+				var objremove = obj.parent().find('.'+buttons[i]+'');
+				if(objremove.hasClass('attendee-permissions-change-button'))
+					changeAcl(objremove, acls[i]);
+			}
+		}
+
+		var removeAcl = function(current, acl){
+			var acls = '';
+			for(var i = 0; i < current.length; i++)
+				if(current.charAt(i) != acl)
+					acls += current.charAt(i) ;
+			return acls;
+		}
+
+		var dependsAcl = function(obj, acls, buttons){
+			for (var i = 0; i < acls.length; i++){
+				var objremove = obj.parent().find('.'+buttons[i]+'');
+				if(!objremove.hasClass('attendee-permissions-change-button'))
+					changeAcl(objremove, acls[i]);
+			}
+		}
+		
+		var changeAcl = function(obj, acl){
+			if(obj.hasClass('attendee-permissions-change-button')){
+				 obj.parent().siblings('input[name="attendeeAcl[]"]').val(removeAcl( obj.parent().siblings('input[name="attendeeAcl[]"]').val(), acl)) ; 
+			}else{
+				var acls = obj.parent().siblings('input[name="attendeeAcl[]"]').val();
+				obj.parent().siblings('input[name="attendeeAcl[]"]').val(acls + acl);
+			}
+			obj.toggleClass('attendee-permissions-change-button')
+			.find('span:first').toggleClass('attendee-permissions-change').end();  
+		}
+		
+		
+		UI.dialogs.assingCalendar.find('.add-user-search input').keydown(function(event) {
+			if(event.keyCode == '13' || typeof(event.keyCode) == 'undefined') {
+                            
+                                var result = '';
+                                var group  = '';
+                                if(searchType == 'calendar')
+                                    result = DataLayer.get('calendarToPermission', {filter: ['AND', ['=','type','1'], ['OR', ['i*','name', $(this).val()], ['i*', 'description', $(this).val()] ] ] , criteria: {deepness: 2}});
+                                else{
+                                    result = DataLayer.get('user', ["*", "name", $(this).val()], true);
+                                    group = DataLayer.get('group', ["*", "name", $(this).val()], true); 
+				
+                                    if(!!group){
+                                        if(!!result)
+                                                DataLayer.merge(result, group);
+                                        else
+                                                result = group;
+                                    }
+                                }
+                                /**
+				* TODO: trocar por template
+				*/
+				UI.dialogs.assingCalendar.find('ul.search-result-list').empty().css('overflow', 'hidden');
+				if (!result) {
+					UI.dialogs.assingCalendar.find('ul.search-result-list').append('<li><label class="empty">Nenhum resultado encontrado.</label></li>');
+				}
+
+                                if(searchType == 'calendar')
+                                     for(i=0; i<result.length; i++){
+                                    	result[i].name = result[i].calendar.name;
+                                        result[i].id = result[i].calendar.id;
+                                        result[i].enabled = true;
+                                     }
+                                else
+                                    for(i=0; i<result.length; i++)
+                                    	result[i].enabled = currentUsers[result[i].id] ? false : true;
+
+				UI.dialogs.assingCalendar.find('ul.search-result-list').append(DataLayer.render( path+'participants_search_itemlist.ejs', result));
+
+				UI.dialogs.assingCalendar.find('ul.search-result-list li').click(function(event, ui){
+					if ($(event.target).is('input')) {
+                                             old_item = $(event.target).parents('li');
+                                             
+                                             if(searchType == 'calendar'){
+                                                 
+                                                 searchType = 'user';
+                                                 
+                                                 UI.dialogs.assingCalendar.find('dd.calendar input[name="calendarId"]').val(old_item.find('.id').html());
+                                                 
+                                                 //TODO - Trocar por template
+                                                 UI.dialogs.assingCalendar.find('dd.calendar ul').append('<li class="calendar-selected">' + old_item.find('.name').html() +
+                                                 '<a class="button tiny removeCalendar"></a></li>');
+                                             
+                                             
+                                                 var currentData = DataLayer.get('calendarToPermission:detail', {filter: ['AND', ['=','calendar', old_item.find('.id').html()], ['i*','acl','p'] ],  criteria: {deepness: 2}})
+                                                 
+                                                 if(currentData){
+                                                     for(var i = 0; i < currentData.length; i++){
+                                                         
+                                                         currentUsers[currentData[i].user.id] = currentData[i].user;
+                                                         
+                                                         UI.dialogs.assingCalendar.find('dd.calendar-list ul.user-list')
+                                                        .append(DataLayer.render(path+'user_shared_add_itemlist.ejs', [{id: currentData[i].user.id, name: currentData[i].user.name, mail: currentData[i].user.mail, isCurrent: true, permission: currentData[i].id}]))
+                                                        .scrollTo('max');
+
+                                                        $('li.not-user').remove();
+                                                        callbackSharedCotactsAdd();
+                                                        
+                                                        for (var f in currentData[i].acl){
+                                                            if(currentData[i].acl[f]){
+                                                                    UI.dialogs.assingCalendar.find('.'+f+':last').toggleClass('attendee-permissions-change-button')
+                                                                    .find('span:first').toggleClass('attendee-permissions-change').end();  
+                                                            }
+                                                        }
+                                                         
+                                                     }
+                                                     
+                                                 }
+
+                                                 UI.dialogs.assingCalendar.find('.removeCalendar').button({
+                                                        icons: {
+                                                                primary: "ui-icon-close"
+                                                        },
+                                                        text: false
+                                                }).click(function(evt){
+                                                        $(this).parents('li').remove();
+                                                        searchType = 'calendar';
+                                                        
+                                                        UI.dialogs.assingCalendar.find('ul.search-result-list li').remove();
+                                                        UI.dialogs.assingCalendar.find('dt.add-user.search').html('Pesquisa agendas');
+                                                 });
+                                                 
+                                                 UI.dialogs.assingCalendar.find('ul.search-result-list li').remove();
+                                                 UI.dialogs.assingCalendar.find('dt.add-user.search').html('Pesquisa usuários');
+                                                 
+                                                 
+                                             }else{
+						
+						var id = old_item.find('.id').html();
+						
+						currentUsers [id] = {
+							id: id,
+							name: old_item.find('.name').html(),
+							mail: old_item.find('.mail').html()
+						};
+											
+						UI.dialogs.assingCalendar.find('dd.calendar-list ul.user-list')
+						.append(DataLayer.render(path+'user_shared_add_itemlist.ejs', [{id: id, name: currentUsers [id] .name, mail: currentUsers [id] .mail}]))
+						.scrollTo('max');
+						
+						$('li.not-user').remove();
+						callbackSharedCotactsAdd();
+						old_item.remove();
+                                            }
+					}
+				});
+				event.preventDefault();
+			}
+		});
+
+		var callbackSharedCotactsAdd = function(event){
+			UI.dialogs.assingCalendar.find('.button').filter(".read.new").button({
+				icons: {
+					primary: "ui-icon-circle-zoomin"
+				},
+				text: false
+			}).click(function () {
+				incompatibleAcl($(this), ['b'], ['busy']);
+				changeAcl($(this), 'r');
+			})
+			.addClass('tiny disable ui-button-disabled ui-state-disabled')
+			.removeClass('new').end()
+			
+			.filter(".write.new").button({
+				icons: {
+					primary: "ui-icon-key"
+				},
+				text: false
+			}).click(function () {
+				incompatibleAcl($(this), ['b'], ['busy']);
+				dependsAcl($(this), ['r'], ['read']);
+				changeAcl($(this), 'w');
+			})
+			.addClass('tiny disable ui-button-disabled ui-state-disabled')
+			.removeClass('new').end()
+			
+			.filter(".remove.new").button({
+				icons: {
+					primary: "ui-icon-trash"
+				},
+				text: false
+			}).click(function () {
+				incompatibleAcl($(this), ['b'], ['busy']);
+				dependsAcl($(this), ['r'], ['read']);
+				changeAcl($(this), 'd');
+			})
+			.addClass('tiny disable ui-button-disabled ui-state-disabled')
+			.removeClass('new').end()
+			
+			.filter(".busy.new").button({
+				icons: {
+					primary: "ui-icon-clock"
+				},
+				text: false
+			}).click(function () {
+				//Remove incompativbilidade de acls
+				incompatibleAcl($(this), ['r', 'w', 'd', 's' ], ['read', 'write', 'remove', 'shared']);
+				changeAcl($(this), 'b');
+			})
+			.addClass('tiny disable ui-button-disabled ui-state-disabled')
+			.removeClass('new').end()
+			
+			.filter(".shared.new").button({
+				icons: {
+					primary: "ui-icon-transferthick-e-w"
+				},
+				text: false
+			}).click(function () {
+				incompatibleAcl($(this), ['b',], ['busy']);
+				dependsAcl($(this), ['r'], ['read']);
+				changeAcl($(this), 's');
+			})
+			.addClass('tiny disable ui-button-disabled ui-state-disabled')
+			.removeClass('new').end()
+
+			.filter(".close.new").button({
+				icons: {
+					primary: "ui-icon-close"
+				},
+				text: false
+			}).click(function () {
+				currentUsers[$(this).parents().find('input[name="user[]"]').val()] = false;
+                                var id = false;
+                                
+                                if(id = $(this).parents().find('input[name="permission[]"]').val())
+                                    DataLayer.remove('calendarToPermission', id);
+                                
+				$(this).parents('li').remove();
+			})
+			.addClass('tiny disable ui-button-disabled ui-state-disabled')
+			.removeClass('new').end();
+
+		UI.dialogs.assingCalendar.find('.user-list li').hover(
+			function () {
+				$(this).addClass("hover-user");
+				$(this).find('.button').removeClass('disable ui-button-disabled ui-state-disabled').end()
+				.find('.user-acls-shared-calendar').addClass('hover-user');
+			},
+			function () {
+				$(this).removeClass("hover-user");
+				$(this).find('.button').addClass('disable ui-button-disabled ui-state-disabled').end()
+				.find('.user-acls-shared-calendar').removeClass('hover-user');;
+			}
+		);		
+	}
+	UI.dialogs.assingCalendar.dialog('open');
+}
+
Index: trunk/expressoAdmin1_2/index.php
===================================================================
--- trunk/expressoAdmin1_2/index.php	(revision 5133)
+++ trunk/expressoAdmin1_2/index.php	(revision 5804)
@@ -9,5 +9,39 @@
 	*  option) any later version.														 *
 	\*************************************************************************************/
-	$debug = false;	
+	
+        echo '
+            <link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.css" />					
+    
+            <script type="text/javascript" src="../prototype/plugins/jquery/jquery.min.js"></script>
+        
+            <script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.min.js"></script>
+            <script type="text/javascript" src="../prototype/plugins/jquery/jquery-ui.custom.min.js"></script>
+            <script src="../prototype/plugins/json2/json2.js" language="javascript"></script>
+            <script src="../prototype/plugins/ejs/ejs.js" language="javascript"></script>
+            <script src="../prototype/plugins/store/jquery.store.js" language="javascript"></script>
+            
+            <script src="../prototype/api/datalayer.js" language="javascript"></script>	
+           
+            <link rel="stylesheet" type="text/css" href="../prototype/plugins/zebradialog/css/zebra_dialog.css"></link>
+
+            <script type="text/javascript" src="../prototype/plugins/zebradialog/javascript/zebra_dialog.js"></script>
+            <script language="javascript">DataLayer.dispatchPath = "../prototype/";</script>
+            <script type="text/javascript" src="../prototype/plugins/datejs/date-pt-BR.js"></script>
+            <script type="text/javascript" src="../prototype/plugins/datejs/sugarpak.js"></script>
+            <script type="text/javascript" src="../prototype/plugins/datejs/parser.js"></script>
+
+            <script type="text/javascript" src="../prototype/modules/calendar/js/timezone.js"></script>	
+            
+            <script type="text/javascript" src="../prototype/modules/calendar/js/calendar.codecs.js"></script>
+            
+            <script type="text/javascript" src="js/jscode/assing_calendar.js"></script>
+            <script type="text/javascript" src="../prototype/plugins/scrollto/jquery.scrollTo.js"></script>
+
+            <link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css" />
+            <link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/style.css" />
+            <link rel="stylesheet" type="text/css" href="templates/default/assing_calendar.css" />
+        ';
+
+        $debug = false;	
 	$time_start = microtime(true);
 
@@ -20,4 +54,5 @@
 	
 	$current_config = $c->config_data;
+                  
 	$ldap_manager = CreateObject('contactcenter.bo_ldap_manager');
 	$boemailadmin	= CreateObject('emailadmin.bo');
@@ -41,4 +76,5 @@
 		'lang_messages_size'    => lang('Messages Size'),
 		'lang_institutional_accounts'=> lang('Institutional Accounts'),
+                'lang_assing_calendar' => lang('Assign default calendar for user'),
 		'lang_user_groups'		=> lang('User Groups'),
 		'lang_email_lists'		=> lang('Email Lists'),
Index: trunk/admin/inc/hook_admin.inc.php
===================================================================
--- trunk/admin/inc/hook_admin.inc.php	(revision 3480)
+++ trunk/admin/inc/hook_admin.inc.php	(revision 5804)
@@ -85,4 +85,9 @@
 		$file['VoIP settings']         = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uivoip.edit_conf');
 	}
+	
+	if (! $GLOBALS['phpgw']->acl->check('site_config_access',1,'admin'))
+	{
+		$file['Calendar settings'] = $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uicalendar.edit_conf');
+	}
 
 	/* Do not modify below this line */
Index: trunk/admin/inc/class.uiconfig.inc.php
===================================================================
--- trunk/admin/inc/class.uiconfig.inc.php	(revision 5773)
+++ trunk/admin/inc/class.uiconfig.inc.php	(revision 5804)
@@ -18,4 +18,11 @@
 		function index()
 		{
+		
+				ob_start();
+			print_r("teste :D :D :D");
+	
+			$output = ob_get_clean();
+			file_put_contents( "/tmp/acoutinho.log",  $output , FILE_APPEND);
+		
 			if ($GLOBALS['phpgw']->acl->check('site_config_access',1,'admin'))
 			{
@@ -69,4 +76,14 @@
 				$current_config = $c->config_data;
 			}
+	
+		if($appname === "expressoCalendar"){						
+			if (isset($_POST['migration']) && ($_POST['migration']  == "true")){
+			
+				require_once dirname(__FILE__ )."/../../expressoCalendar/inc/class.ui_migration.inc.php";
+
+				$migratrion = new Migra();
+				$migratrion->calendar();
+			}
+		}
 
 			if ($_POST['cancel'] || $_POST['submit'] && $GLOBALS['phpgw']->acl->check('site_config_access',2,'admin'))
@@ -289,6 +306,5 @@
 				
 				$t->set_var('rows_login_generator',$options);
-			}
-			
+			}		
 			
 			if($appname=="admin") {							
Index: trunk/admin/inc/class.uicalendar.inc.php
===================================================================
--- trunk/admin/inc/class.uicalendar.inc.php	(revision 5804)
+++ trunk/admin/inc/class.uicalendar.inc.php	(revision 5804)
@@ -0,0 +1,86 @@
+<?php
+
+ /**************************************************************************\
+  * Expresso Livre - Voip - administration                                   *
+  *															                 *
+  * --------------------------------------------                             *
+  *  This program is free software; you can redistribute it and/or modify it *
+  *  under the terms of the GNU General Public License as published by the   *
+  *  Free Software Foundation; either version 2 of the License, or (at your  *
+  *  option) any later version.                                              *
+  \**************************************************************************/
+
+class uicalendar
+{
+	var $public_functions = array(
+		'edit_conf' => True
+	);
+
+	final function __construct(){}
+	
+	final function edit_conf()
+	{
+		if($GLOBALS['phpgw']->acl->check('applications_access',1,'admin'))
+		{
+			$GLOBALS['phpgw']->redirect_link('/index.php');
+		}		
+
+		$GLOBALS['phpgw_info']['flags']['app_header'] = lang('Admin') .' - ' . lang('Configuration Calendars');
+
+		if(!@is_object($GLOBALS['phpgw']->js))
+		{
+			$GLOBALS['phpgw']->js = CreateObject('phpgwapi.javascript');
+		}
+
+		$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
+		$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
+
+		if(strrpos($webserver_url,'/') === false || strrpos($webserver_url,'/') != (strlen($webserver_url)-1))
+			$webserver_url .= '/';
+
+		$js = array('connector','xtools','functions');
+	
+		foreach( $js as $tmp )
+			$GLOBALS['phpgw']->js->validate_file('calendar',$tmp,'admin');
+		
+		$GLOBALS['phpgw']->common->phpgw_header();
+		echo parse_navbar();
+		echo '<script type="text/javascript">var path_adm="'.$webserver_url .'"</script>';
+		
+	    $c = CreateObject('phpgwapi.config','phpgwapi');
+		$c->read_repository();
+		$current_config = $c->config_data;    
+ 	
+		if(isset($current_config['defaultCalendar'])){
+			$selected =  $current_config['defaultCalendar'] == 'calendar' ?  'calendar' :  'expressoCalendar';
+			$option = $selected == 'calendar' ?  'expressoCalendar' :  'calendar';
+		}else{
+			$selected = 'calendar';
+			$option = 'expressoCalendar';
+		}	
+	
+		$t = CreateObject('phpgwapi.Template', $GLOBALS['phpgw']->common->get_tpl_dir('admin'));
+		$t->set_unknowns('keep');
+		$t->set_file(array('calendar' => 'calendar.tpl'));
+		$t->set_block('calendar','calendar_page','calendar_page');
+		$t->set_var(array(
+                        'action_url' => $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiconfig.index&appname=admin'),
+                        'lang_Calendar_default_for_current_installation' => lang('Calendar default for current installation'),
+                        'lang_Calendar_settings' => 'Configuração do Calendar',	
+                        'lang_save' => lang('Save'),
+                        'lang_cancel' => lang('Cancel'),
+                        'selected' => $selected,
+                        'option' => $option
+                ));
+		$t->pparse('out','calendar');
+	}
+	
+	function display_row($label, $value)
+	{
+		$GLOBALS['phpgw']->template->set_var('tr_color',$this->nextmatchs->alternate_row_color());
+		$GLOBALS['phpgw']->template->set_var('label',$label);
+		$GLOBALS['phpgw']->template->set_var('value',$value);
+		$GLOBALS['phpgw']->template->parse('rows','row',True);
+	}
+}
+?>
Index: trunk/expressoCalendar/setup/default_records.inc.php
===================================================================
--- trunk/expressoCalendar/setup/default_records.inc.php	(revision 5715)
+++ trunk/expressoCalendar/setup/default_records.inc.php	(revision 5804)
@@ -31,5 +31,5 @@
 		$oProc->query("ALTER TABLE calendar_signature ADD CONSTRAINT fk_calendar_signature_calendar_espec FOREIGN KEY (calendar_id) REFERENCES calendar (id) MATCH SIMPLE ON UPDATE CASCADE ON DELETE CASCADE;");
                 
-        //calendar_signature_alarm
+                //calendar_signature_alarm
 		$oProc->query("ALTER TABLE calendar_signature_alarm ADD CONSTRAINT fk_calendar_signature_alarm_calendar_signature FOREIGN KEY (calendar_signature_id) REFERENCES calendar_signature (id) MATCH SIMPLE ON UPDATE CASCADE ON DELETE CASCADE;");
                 
@@ -41,4 +41,6 @@
                 $oProc->query("INSERT INTO calendar_class( \"id\", \"name\") VALUES ('1','Public'),('2','Private'),('3','Confidential');");
                 $oProc->query("INSERT INTO calendar_participant_status( \"id\", \"name\") VALUES ('1','CONFIRMED'),('2','TENTATIVE'),('3','CANCELLED'),('4','UNANSWERED'),('5', 'DELEGATED');");
-		
+
+                //Admin conf
+                $oProc->query("INSERT INTO phpgw_hooks( \"hook_appname\", \"hook_location\", \"hook_filename\") VALUES ('expressoCalendar','admin', 'hook_admin.inc.php');");
 ?>
Index: trunk/expressoCalendar/setup/tables_update.inc.php
===================================================================
--- trunk/expressoCalendar/setup/tables_update.inc.php	(revision 5746)
+++ trunk/expressoCalendar/setup/tables_update.inc.php	(revision 5804)
@@ -74,5 +74,5 @@
 		$GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.002';
         return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
-	}
+	};
 
 	$test[] = '1.002';
@@ -85,4 +85,18 @@
             $GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.003';
             return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
-	}
+	};
+        
+        $test[] = '1.003';
+	function expressoCalendar_upgrade1_003() {
+
+            $oProc = $GLOBALS['phpgw_setup']->oProc;
+
+            $oProc->query("INSERT INTO phpgw_hooks( \"hook_appname\", \"hook_location\", \"hook_filename\") VALUES ('expressoCalendar','admin', 'hook_admin.inc.php')");
+
+            $GLOBALS['setup_info']['expressoCalendar']['currentver'] = '1.004';
+            return $GLOBALS['setup_info']['expressoCalendar']['currentver'];
+	};
+        
+        
+        
 ?>
Index: trunk/expressoCalendar/setup/setup.inc.php
===================================================================
--- trunk/expressoCalendar/setup/setup.inc.php	(revision 5741)
+++ trunk/expressoCalendar/setup/setup.inc.php	(revision 5804)
@@ -13,5 +13,5 @@
 	$setup_info['expressoCalendar']['title']     	= 'Expresso Calendar';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoCalendar']['version']   	= '1.003';
+	$setup_info['expressoCalendar']['version']   	= '1.004';
 	$setup_info['expressoCalendar']['app_order']	= 10;
         
Index: trunk/expressoCalendar/inc/hook_admin.inc.php
===================================================================
--- trunk/expressoCalendar/inc/hook_admin.inc.php	(revision 5804)
+++ trunk/expressoCalendar/inc/hook_admin.inc.php	(revision 5804)
@@ -0,0 +1,20 @@
+<?php
+	/***********************************************************************************\
+	* Expresso Calendar                										   
+	* 
+	* ---------------------------------------------------------------------------------*
+	*  This program is free software; you can redistribute it and/or modify it		   *
+	*  under the terms of the GNU General Public License as published by the		   *
+	*  Free Software Foundation; either version 2 of the License, or (at your		   *
+	*  option) any later version.													   *
+	\***********************************************************************************/
+
+	// Only Modify the $file and $title variables.....
+	$title = $appname;
+	$file = Array(
+		'ExpressoCalendar migração' => $GLOBALS['phpgw']->link('/index.php','menuaction=admin.uiconfig.index&appname=' . $appname)
+	);
+	//Do not modify below this line
+	display_section($appname,$title,$file);
+
+?>
